//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using Tecan.Sila2;


namespace Tecan.Sila2.Interop.Server.MultiClientTest
{
    
    
    /// <summary>
    /// Data transfer object for the request of the Run In Parallel command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class RunInParallelRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.RealDto _duration;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public RunInParallelRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        /// <param name="duration">The duration of the command execution</param>
        public RunInParallelRequestDto(double duration, Tecan.Sila2.IBinaryStore store)
        {
            Duration = new Tecan.Sila2.RealDto(duration, store);
        }
        
        /// <summary>
        /// The duration of the command execution
        /// </summary>
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.RealDto Duration
        {
            get
            {
                return _duration;
            }
            set
            {
                _duration = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "org.silastandard/test/MultiClientTest/v1/Command/RunInParallel";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Duration, "duration");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Duration, "duration"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Run Queued command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class RunQueuedRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.RealDto _duration;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public RunQueuedRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        /// <param name="duration">The duration of the command execution</param>
        public RunQueuedRequestDto(double duration, Tecan.Sila2.IBinaryStore store)
        {
            Duration = new Tecan.Sila2.RealDto(duration, store);
        }
        
        /// <summary>
        /// The duration of the command execution
        /// </summary>
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.RealDto Duration
        {
            get
            {
                return _duration;
            }
            set
            {
                _duration = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "org.silastandard/test/MultiClientTest/v1/Command/RunQueued";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Duration, "duration");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Duration, "duration"));
        }
    }
    
    /// <summary>
    /// Data transfer object for the request of the Reject Parallel Execution command
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class RejectParallelExecutionRequestDto : Tecan.Sila2.ISilaTransferObject, Tecan.Sila2.ISilaRequestObject
    {
        
        private Tecan.Sila2.RealDto _duration;
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        public RejectParallelExecutionRequestDto()
        {
        }
        
        /// <summary>
        /// Create a new instance
        /// </summary>
        /// <param name="store">An object to organize binaries.</param>
        /// <param name="duration">The duration of the command execution</param>
        public RejectParallelExecutionRequestDto(double duration, Tecan.Sila2.IBinaryStore store)
        {
            Duration = new Tecan.Sila2.RealDto(duration, store);
        }
        
        /// <summary>
        /// The duration of the command execution
        /// </summary>
        [ProtoBuf.ProtoMemberAttribute(1)]
        public Tecan.Sila2.RealDto Duration
        {
            get
            {
                return _duration;
            }
            set
            {
                _duration = value;
            }
        }
        
        /// <summary>
        /// Gets the command identifier for this command
        /// </summary>
        /// <returns>The fully qualified command identifier</returns>
        public string CommandIdentifier
        {
            get
            {
                return "org.silastandard/test/MultiClientTest/v1/Command/RejectParallelExecution";
            }
        }
        
        /// <summary>
        /// Validates the given request object
        /// </summary>
        public void Validate()
        {
            Argument.Validate(Duration, "duration");
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ("" + Argument.Require(Duration, "duration"));
        }
    }
}
